## eole-vpn 2.7.1-7

=== Makefile ===
################################
# Makefile pour eole-vpn
################################

SOURCE=eole-vpn
VERSION=2.7
EOLE_VERSION=2.7
EOLE_RELEASE=2.7.1
PKGAPPS=non
#FLASK_MODULE=<APPLICATION>

################################
# Début de zone à ne pas éditer
################################

include eole.mk
include apps.mk

################################
# Fin de zone à ne pas éditer
################################

# Makefile rules dedicated to application
# if exists
ifneq (, $(strip $(wildcard $(SOURCE).mk)))
include $(SOURCE).mk
endif

=== debian/changelog ===
eole-vpn (2.7.1-7) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [163a4cf] Merge branch 'issues/30186' into 2.7.0/master
  * [2aa5374] Add reverse routes to avoid going in VPN tunnel
  * [f5d90ee] Merge branch 'issues/31427' into 2.7.1/master
  * [0d65c95] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [c4f5372] Fabrice Barconnière: Update package since “debian/eole/2.7.1-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 11 Jan 2021 08:28:59 +0100

eole-vpn (2.7.1-6) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [6083a57] Merge branch 'issue/28752' into 2.6.0/master
  * [9dd3a19] Adapt @active_rvp@ from EOLE 2.6.0 and < 2.8.0 script to be Zéphir 2.8.0 compatible
  * [8ec4f4e] Merge branch 'issues/30186' into 2.7.1/master
  * [8d8f25b] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [f93cba7] Fabrice Barconnière: Update package since “debian/eole/2.7.1-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 04 Jun 2020 10:42:09 +0200

eole-vpn (2.7.1-5) eole-2.7.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [2fe2470] Change cases : no tunnel, some active tunnels, all tunnels active.
  * [85a1abc] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [20bea1b] Benjamin Bohard: Update package since “debian/eole/2.7.1-4”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Jan 2020 16:07:12 +0100

eole-vpn (2.7.1-4) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [7d23eb0] Add xfrm policies check in ip_xfrm_policy template
  * [fe315bc] Merge branch '2.6.2/master' into 2.7.0/master
  * [d27585f] Revert "Add xfrm policies check in ip_xfrm_policy template"
  * [d51b6fd] Suppress ip_xfrm_policy added due to merge conflict from 2.6.2
  * [9ba5127] Merge branch '2.7.0/master' into 2.7.1/master

  [ Benjamin Bohard ]
  * [6e343e4] Add active tunnels count in diagnose.
  * [9f9ea75] Merge branch '2.7.1/29468-active_tunnels' into 2.7.1/master
  * [b8b7550] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [bc81aa8] Benjamin Bohard: Update package since “debian/eole/2.7.1-3”

 -- Benjamin Bohard <bbohard@cadoles.com>  Wed, 15 Jan 2020 14:20:27 +0100

eole-vpn (2.7.1-3) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [392e8e5] VPN archive from Sphynx 2.7 avoid strongSwan to start on Amon 2.5 and gives a warning on Amon 2.6
  * [496b259] Merge branch 'issue/28752' into 2.6.2/master
  * [b28821a] Merge branch '2.6.2/master' into 2.7.0/master
  * [15014c7] Revert "VPN archive from Sphynx 2.7 avoid strongSwan to start on Amon 2.5"
  * [6dbdf78] Merge branch '2.7.0/master' into 2.7.1/master
  * [f6921ea] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [d4ca40f] Fabrice Barconnière: Update package since “debian/eole/2.7.1-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 03 Sep 2019 08:33:10 +0200

eole-vpn (2.7.1-2) eole-2.7.1-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [4480d4c] Passthrough connections were missing when local network included in larger tunnel network
  * [2873f1d] Merge branch 'issue/28769' into 2.7.1/master
  * [f686b03] Merge branch '2.7.1/master' into dist/eole/2.7.1/master

  [ EOLE Build Daemon ]
  * [ec7644e] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 02 Sep 2019 15:07:20 +0200

## eole-vpn 2.7.2-2

=== debian/changelog ===
eole-vpn (2.7.2-2) eole-2.7-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [2873f1d] Merge branch 'issue/28769' into 2.7.1/master
  * [392e8e5] VPN archive from Sphynx 2.7 avoid strongSwan to start on Amon 2.5 and gives a warning on Amon 2.6
  * [496b259] Merge branch 'issue/28752' into 2.6.2/master
  * [b28821a] Merge branch '2.6.2/master' into 2.7.0/master
  * [15014c7] Revert "VPN archive from Sphynx 2.7 avoid strongSwan to start on Amon 2.5"
  * [6dbdf78] Merge branch '2.7.0/master' into 2.7.1/master
  * [f789fd7] Merge branch '2.7.1/master'
  * [e06cc67] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [77f35ef] Fabrice Barconnière: Update package since “debian/eole/2.7.2-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 03 Sep 2019 08:36:43 +0200

eole-vpn (2.7.2-1) eole-2.7-unstable; urgency=low

  [ Daniel Dehennin ]
  * [df79155] Prepare version 2.7.2
  * [ebd3dd6] Merge tag 'release/2.7.2' into dist/eole/2.7.2/master

  [ Fabrice Barconnière ]
  * [4480d4c] Passthrough connections were missing when local network included in larger tunnel network
  * [25c6efe] Merge branch 'issue/28769'
  * [c617f15] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [6981011] Fabrice Barconnière: Update package since “debian/eole/2.7.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 02 Sep 2019 15:09:44 +0200

## eole-vpn 2.7.2-4

=== debian/changelog ===
eole-vpn (2.7.2-4) eole-2.7.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [6083a57] Merge branch 'issue/28752' into 2.6.0/master
  * [9dd3a19] Adapt @active_rvp@ from EOLE 2.6.0 and < 2.8.0 script to be Zéphir 2.8.0 compatible
  * [2828819] Merge branch 'issues/30186' into 2.7.2/master
  * [1175255] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [3a3f344] Fabrice Barconnière: Update package since “debian/eole/2.7.2-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 04 Jun 2020 10:50:08 +0200

eole-vpn (2.7.2-3) eole-2.7.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [7d23eb0] Add xfrm policies check in ip_xfrm_policy template
  * [fe315bc] Merge branch '2.6.2/master' into 2.7.0/master
  * [d27585f] Revert "Add xfrm policies check in ip_xfrm_policy template"
  * [d51b6fd] Suppress ip_xfrm_policy added due to merge conflict from 2.6.2
  * [9ba5127] Merge branch '2.7.0/master' into 2.7.1/master
  * [05c3fca] Merge branch '2.7.1/master'

  [ Benjamin Bohard ]
  * [6e343e4] Add active tunnels count in diagnose.
  * [9f9ea75] Merge branch '2.7.1/29468-active_tunnels' into 2.7.1/master
  * [2fe2470] Change cases : no tunnel, some active tunnels, all tunnels active.
  * [b13e8dc] Merge branch '2.7.1/master'
  * [6cb4c29] Merge branch 'master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [7eac752] Fabrice Barconnière: Update package since “debian/eole/2.7.2-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 14 May 2020 14:04:34 +0200

## eole-vpn 2.7.2-5

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-vpn
 VERSION=2.7
 EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.1
+EOLE_RELEASE=2.7.2
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-vpn (2.7.2-5) eole-2.7.2-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [163a4cf] Merge branch 'issues/30186' into 2.7.0/master
  * [2aa5374] Add reverse routes to avoid going in VPN tunnel
  * [f2c50e0] Merge branch 'issues/31427' into 2.7.2/master
  * [f4982fd] Merge branch '2.7.2/master' into dist/eole/2.7.2/master

  [ EOLE Build Daemon ]
  * [50f7358] Fabrice Barconnière: Update package since “debian/eole/2.7.2-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 11 Jan 2021 08:30:10 +0100

## eole-vpn 2.8.0-6

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-vpn
-VERSION=2.7
-EOLE_VERSION=2.7
-EOLE_RELEASE=2.7.2
+VERSION=2.8
+EOLE_VERSION=2.8
+EOLE_RELEASE=2.8.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-vpn (2.8.0-6) eole-2.8.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [2df2b55] diagnose rvp with HA : crm_output is not necessary a string
  * [9dc05c7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [d9058ff] Fabrice Barconnière: Update package since “debian/eole/2.8.0-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 18 Nov 2020 08:33:21 +0100

eole-vpn (2.8.0-5) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [6083a57] Merge branch 'issue/28752' into 2.6.0/master
  * [9dd3a19] Adapt @active_rvp@ from EOLE 2.6.0 and < 2.8.0 script to be Zéphir 2.8.0 compatible
  * [b91b073] Merge branch 'issues/30186'
  * [105f2e6] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [f761230] Fabrice Barconnière: Update package since “debian/eole/2.8.0-4”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 04 Jun 2020 10:22:41 +0200

eole-vpn (2.8.0-4) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [29ae7dc] /bin -> /usr/bin : modify charon apparmor profile tu run ipsec_updown script

  [ EOLE Build Daemon ]
  * [2a88363] Fabrice Barconnière: Update package since “debian/eole/2.8.0-3”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Tue, 02 Jun 2020 14:06:21 +0200

eole-vpn (2.8.0-3) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [eae86b2] strongSwan service unit is named strongswan-starter on Ubuntu Focal
  * [5fca72c] No UPSTART script on Ubuntu Focal

  [ EOLE Build Daemon ]
  * [4ec5e2b] Fabrice Barconnière: Update package since “debian/eole/2.8.0-2”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Thu, 28 May 2020 16:16:55 +0200

eole-vpn (2.8.0-2) eole-2.8-unstable; urgency=low

  [ Emmanuel Garette ]
  * [f74e3d8] (pouvoir récupérer les informations du Zéphir (ref #30131)
  * [6475374] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6c76ad9] Emmanuel Garette: Update package since “debian/eole/2.8.0-1”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 20 May 2020 16:47:22 +0200

eole-vpn (2.8.0-1) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [7d23eb0] Add xfrm policies check in ip_xfrm_policy template
  * [fe315bc] Merge branch '2.6.2/master' into 2.7.0/master
  * [d27585f] Revert "Add xfrm policies check in ip_xfrm_policy template"
  * [d51b6fd] Suppress ip_xfrm_policy added due to merge conflict from 2.6.2
  * [9ba5127] Merge branch '2.7.0/master' into 2.7.1/master
  * [05c3fca] Merge branch '2.7.1/master'

  [ Benjamin Bohard ]
  * [6e343e4] Add active tunnels count in diagnose.
  * [9f9ea75] Merge branch '2.7.1/29468-active_tunnels' into 2.7.1/master
  * [2fe2470] Change cases : no tunnel, some active tunnels, all tunnels active.
  * [b13e8dc] Merge branch '2.7.1/master'
  * [6cb4c29] Merge branch 'master' into dist/eole/2.7.2/master

  [ Daniel Dehennin ]
  * [ae72c75] Prepare version 2.8.0
  * [aa399b0] Merge branch 'master' into dist/eole/2.8.0/master

  [ Emmanuel Garette ]
  * [82108e6] portage de active_rvp en python3 (ref #30131)
  * [8fc77a6] Merge branch 'master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [cc6d532] Emmanuel Garette: Update package since “debian/eole/2.7.2-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Tue, 19 May 2020 15:13:24 +0200

=== debian/control ===
Source: eole-vpn
Section: admin
Priority: optional
Maintainer: Equipe EOLE <eole@ac-dijon.fr>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://eole.orion.education.fr/diff/
Vcs-Git: http://dev-eole.ac-dijon.fr/git/eole-vpn
Vcs-Browser: http://dev-eole.ac-dijon.fr/projects/eole-vpn/repository

Package: eole-vpn
Architecture: all
Depends: ${misc:Depends}, strongswan, libstrongswan-extra-plugins, libstrongswan-standard-plugins, python-arv
Provides: eole-rvp
Conflicts: eole-rvp
Replaces: conf-sphynx (<= 2.3-eole80), eole-rvp
Breaks: conf-sphynx (<= 2.3-eole80)
Description: Templates, dictionnaire et scripts pour le gestion du VPN
 .
 Pour toute information complémentaire, veuillez vous rendre sur le
 site du projet EOLE.

## eole-vpn 2.8.0-7

=== debian/changelog ===
eole-vpn (2.8.0-7) eole-2.8.0-proposed-updates; urgency=low

  [ Fabrice Barconnière ]
  * [163a4cf] Merge branch 'issues/30186' into 2.7.0/master
  * [2aa5374] Add reverse routes to avoid going in VPN tunnel
  * [c289951] Merge branch 'issues/31427' into 2.8.0/master
  * [52b55c7] Merge branch '2.8.0/master' into dist/eole/2.8.0/master

  [ EOLE Build Daemon ]
  * [6dd72aa] Fabrice Barconnière: Update package since “debian/eole/2.8.0-6”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 11 Jan 2021 08:31:28 +0100

## eole-vpn 2.8.1-2

=== debian/changelog ===
eole-vpn (2.8.1-2) eole-2.8-unstable; urgency=low

  [ Fabrice Barconnière ]
  * [163a4cf] Merge branch 'issues/30186' into 2.7.0/master
  * [2aa5374] Add reverse routes to avoid going in VPN tunnel
  * [7232d10] Merge branch 'issues/31427'
  * [72cf83c] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [1a670c3] Fabrice Barconnière: Update package since “debian/eole/2.8.1-1”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Mon, 11 Jan 2021 08:32:26 +0100

eole-vpn (2.8.1-1) eole-2.8-unstable; urgency=low

  [ Daniel Dehennin ]
  * [387f09a] Prepare version 2.8.1
  * [2f2cc1c] Merge branch 'master' into dist/eole/2.8.1/master

  [ Fabrice Barconnière ]
  * [2df2b55] diagnose rvp with HA : crm_output is not necessary a string
  * [76770d8] Merge branch '2.8.0/master'
  * [1faa8d4] Merge branch 'master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [dbbb345] Fabrice Barconnière: Update package since “debian/eole/2.8.0-5”

 -- Fabrice Barconnière <fabrice.barconniere@ac-dijon.fr>  Wed, 18 Nov 2020 08:34:10 +0100

## eole-vpn 2.8.1-3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 SOURCE=eole-vpn
 VERSION=2.8
 EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.0
+EOLE_RELEASE=2.8.1
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-vpn (2.8.1-3) eole-2.8.1-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [524ee6c] Possibilité de calculer l’IP source des tunnels.
  * [c05b42f] Merge branch '2.8.1/master' into dist/eole/2.8.1/master

  [ EOLE Build Daemon ]
  * [28d8d2a] Benjamin Bohard: Update package since “debian/eole/2.8.1-2”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Apr 2024 14:14:26 +0200

## eole-vpn 2.9.0-1

=== debian/changelog ===
eole-vpn (2.9.0-1) eole-2.9-unstable; urgency=low

  [ Daniel Dehennin ]
  * [cdd5986] Prepare version 2.9.0
  * [0b930fa] Merge branch 'master' into dist/eole/2.9.0/master
  * [b87fa7b] fix(makefile): installing files requires directories first

  [ Emmanuel Garette ]
  * [6403ff6] portage 2.9 (ref #34051)
  * [48a335e] strongswan doit créer les routes dans la table main (ref #34051)
  * [b9a019a] Merge branch 'master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [48ab93c] Emmanuel Garette: Update package since “debian/eole/2.8.1-2”

 -- Emmanuel Garette <egarette@cadoles.com>  Wed, 13 Apr 2022 16:12:10 +0200

## eole-vpn 2.9.0-2

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-vpn
-VERSION=2.8
-EOLE_VERSION=2.8
-EOLE_RELEASE=2.8.1
+VERSION=2.9
+EOLE_VERSION=2.9
+EOLE_RELEASE=2.9.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-vpn (2.9.0-2) eole-2.9.0-proposed-updates; urgency=low

  [ Benjamin Bohard ]
  * [524ee6c] Possibilité de calculer l’IP source des tunnels.
  * [5cda0ed] Merge branch '2.8.1/master' into 2.9.0/master
  * [6b5f7c7] Merge branch '2.9.0/master' into dist/eole/2.9.0/master

  [ EOLE Build Daemon ]
  * [33e8f75] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Apr 2024 14:16:20 +0200

## eole-vpn 2.10.0-1

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 ################################
 
 SOURCE=eole-vpn
-VERSION=2.9
-EOLE_VERSION=2.9
-EOLE_RELEASE=2.9.0
+VERSION=2.10
+EOLE_VERSION=2.10
+EOLE_RELEASE=2.10.0
 PKGAPPS=non
 #FLASK_MODULE=<APPLICATION>

=== debian/changelog ===
eole-vpn (2.10.0-1) eole-2.10-unstable; urgency=low

  [ Daniel Dehennin ]
  * [dcfd755] Prepare release 2.10.0
  * [e8c1273] Merge branch 'master' into dist/eole/2.10.0/master

  [ Benjamin Bohard ]
  * [524ee6c] Possibilité de calculer l’IP source des tunnels.
  * [5cda0ed] Merge branch '2.8.1/master' into 2.9.0/master
  * [2f3e3e4] Merge branch '2.9.0/master'
  * [0e3cf1a] Merge branch 'master' into dist/eole/2.10.0/master

  [ EOLE Build Daemon ]
  * [accca31] Benjamin Bohard: Update package since “debian/eole/2.9.0-1”

 -- Benjamin Bohard <bbohard@cadoles.com>  Tue, 09 Apr 2024 14:16:43 +0200
